Name:		vorbis-tools
Summary:	Several Ogg Vorbis Tools
Version:	1.4.2
Release:	3
Epoch:		1
License:	GPLv2
URL:		http://www.xiph.org/
Source:		http://downloads.xiph.org/releases/vorbis/%{name}-%{version}.tar.gz
Patch1:         vorbis-tools-1.4.2-man-page.patch

BuildRequires:	flac-devel gettext gcc libao-devel libcurl-devel libvorbis-devel speex-devel chrpath

Obsoletes:	vorbis < %{epoch}:%{version}-%{release}
Provides:	vorbis = %{epoch}:%{version}-%{release}

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free, general-purpose
compressed audio format for mid to high quality (8kHz-48.0kHz, 16+ bit, polyphonic) audio
and music at fixed and variable bitrates from 16 to 128 kbps/channel. This places Vorbis
in the same competitive class as audio representations such as MPEG-4 (AAC), and similar
to, but higher performance than MPEG-1/2 audio layer 3, MPEG-4 audio (TwinVQ), WMA and PAC.

%package_help

%prep
%autosetup -p1 

%build
export CFLAGS="$RPM_OPT_FLAGS -Wno-error=format-security"

%configure
%make_build
%make_build update-gmo -C po

%install
%make_install
chrpath -d %{buildroot}%{_bindir}/*

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*

%files help
%doc AUTHORS COPYING README
%doc ogg123/ogg123rc-example
%{_mandir}/man1/*
%exclude %{_docdir}/%{name}*

%changelog
* Thu Oct 28 2021 Chenxi Mao <chenxi.mao@suse.com> - 1:1.4.2-3
- Add chrpath to BuildRequires

* Wed Sep 9 2021 caodongxia <caodongxia@huawei.com> - 1:1.4.2-2
- Remove rpath

* Sat Jan 30 2021 caodongxia <caodongxia@huawei.com> - 1:1.4.2-1
- Update to 1.4.2

* Mon Jan 11 2021 wangyue<wangyue92@huawei.com> - 1:1.4.0-31
- fix CVE-2014-9640

* Tue Nov 19 2019 caomeng<caomeng5@huawei.com> - 1:1.4.0-30
- Package init
